## org.eclipse.amp.amf.testing.ui.internal
Class ATestActivator

    java.lang.Object
      org.eclipse.core.runtime.Plugin
          org.eclipse.ui.plugin.AbstractUIPlugin
              org.eclipse.amp.amf.testing.ui.internal.ATestActivator

All Implemented Interfaces:
  org.osgi.framework.BundleActivator

    public class ATestActivator

extends org.eclipse.ui.plugin.AbstractUIPlugin

Generated

Field Summary

Fields inherited from class org.eclipse.core.runtime.Plugin
`PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

Constructor Summary
`ATestActivator()`

Method Summary
`com.google.inject.Injector` `getInjector(java.lang.String languageName)`
`static ATestActivator` `getInstance()`
`void` `start(org.osgi.framework.BundleContext context)`

Methods inherited from class org.eclipse.ui.plugin.AbstractUIPlugin
`getDialogSettings, getImageRegistry, getPreferenceStore, getWorkbench, imageDescriptorFromPlugin, shutdown, startup, stop`

Methods inherited from class org.eclipse.core.runtime.Plugin
`find, find, getBundle, getDescriptor, getLog, getPluginPreferences, getStateLocation, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ATestActivator

    public ATestActivator()

Method Detail

### getInjector

    public com.google.inject.Injector getInjector(java.lang.String languageName)

### start

    public void start(org.osgi.framework.BundleContext context)
               throws java.lang.Exception

  Specified by:
    `start` in interface `org.osgi.framework.BundleActivator`
  Overrides:
    `start` in class `org.eclipse.ui.plugin.AbstractUIPlugin`
  Throws:
    `java.lang.Exception`

### getInstance

    public static ATestActivator getInstance()